Results 1 to 3 of 3

Thread: Zypper/Yast problems - can't use or refresh repositories

  1. #1

    Default Zypper/Yast problems - can't use or refresh repositories

    I'm having a lot of difficulty using zypper. For example:

    zypper in xournal

    returns:

    "Retrieving package xournal-0.4.2.1-1.80.i586 (1/1), 187.0 K (454.0 K unpacked)
    Media source 'http://download.opensuse.org/distribution/11.1/repo/oss/' does not contain the desired medium"

    This is an error - the package does indeed exist.
    And the command:

    zypper ref

    returns

    "Retrieving repository 'openSUSE111' metadata [error]
    Repository 'openSUSE111' is invalid.
    File /var/tmp/TmpFile.GkyLfF doesn't contain public key data
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'openSUSE111' because of the above error."

    an similarly for openSUSE111_NonOSS and packman.

    When I try to update the repositories using Yast, using Add/Community Repositories, Yast returns an error:

    "Unable to download list of repositories or no repositories defined."

    So I'm a little stuck here - can anybody help my system use zypper?

    Thanks,
    -A.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,325
    Blog Entries
    15

    Default Re: Zypper/Yast problems - can't use or refresh repositories

    Quote Originally Posted by AussieGuy
    I'm having a lot of difficulty using zypper. For example:

    zypper in xournal

    returns:

    "Retrieving package xournal-0.4.2.1-1.80.i586 (1/1), 187.0 K (454.0 K
    unpacked)
    Media source 'http://download.opensuse.org/distribution/11.1/repo/oss/'
    does not contain the desired medium"

    This is an error - the package does indeed exist.
    And the command:

    zypper ref

    returns

    "Retrieving repository 'openSUSE111' metadata [error]
    Repository 'openSUSE111' is invalid.
    File /var/tmp/TmpFile.GkyLfF doesn't contain public key data
    Please check if the URIs defined for this repository are pointing to a
    valid repository.
    Skipping repository 'openSUSE111' because of the above error."

    an similarly for openSUSE111_NonOSS and packman.

    When I try to update the repositories using Yast, using Add/Community
    Repositories, Yast returns an error:

    "Unable to download list of repositories or no repositories defined."

    So I'm a little stuck here - can anybody help my system use zypper?

    Thanks,
    -A.

    Hi
    Your possibly being directed to a flaky mirror. You can just disable
    your oss, non-oss and update repositories pointing to
    download.opensuse.org and re create using mirrors close to you from
    this link;
    Mirrors Released
    Version


    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.1 (i586) Kernel 2.6.27.19-3.2-pae
    up 0:11, 2 users, load average: 0.40, 0.41, 0.34
    ASUS eeePC 1000HE ATOM N280 1.66GHz | GPU Mobile 945GM/GMS/GME


  3. #3

    Default Re: Zypper/Yast problems - can't use or refresh repositories

    Thanks, but when I try that, I get a Yast error message saying

    "There were errors while restoring the repository configuration.
    Parse error"

    So not only have I disabled my repositories - I now can't seem to create new ones!

    -A.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •